package com.xkrs.model.entity;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * 小程序用户表
 * @author XinYi Song
 */
@Entity
@Table(name="applets_user")
public class AppletsUser {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "applets_user_seq_gen")
    @SequenceGenerator(name = "applets_user_seq_gen", sequenceName = "applets_user_id_seq",allocationSize = 1)
    private Integer id;

    /** 昵称 */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String nickName;

    /** 手机号 */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String userPhone;

    /** 用户头像 */
    private String userPhoto;

    /** 性别 */
    @Column(length = 55,columnDefinition = "varchar(55)")
    private String userSex;

    /** openid */
    private String openId;

    /** sessionKey */
    private String sessionKey;

    private Integer code;

    private String token;

    private LocalDateTime lastEntryTime;

    @Column(columnDefinition = "varchar(64)")
    private String lastEntryIp;

    public AppletsUser() {
    }

    public AppletsUser(Integer id, String nickName, String userPhone, String userPhoto, String userSex, String openId, String sessionKey, Integer code, String token) {
        this.id = id;
        this.nickName = nickName;
        this.userPhone = userPhone;
        this.userPhoto = userPhoto;
        this.userSex = userSex;
        this.openId = openId;
        this.sessionKey = sessionKey;
        this.code = code;
        this.token = token;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserPhoto() {
        return userPhoto;
    }

    public void setUserPhoto(String userPhoto) {
        this.userPhoto = userPhoto;
    }

    public String getUserSex() {
        return userSex;
    }

    public void setUserSex(String userSex) {
        this.userSex = userSex;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getSessionKey() {
        return sessionKey;
    }

    public void setSessionKey(String sessionKey) {
        this.sessionKey = sessionKey;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    @Override
    public String toString() {
        return "AppletsUser{" +
                "id=" + id +
                ", nickName='" + nickName + '\'' +
                ", userPhone='" + userPhone + '\'' +
                ", userPhoto='" + userPhoto + '\'' +
                ", userSex='" + userSex + '\'' +
                ", openId='" + openId + '\'' +
                ", sessionKey='" + sessionKey + '\'' +
                ", code=" + code +
                ", token='" + token + '\'' +
                '}';
    }
}
