package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author XinYi Song
 *项目和负责人的中间表
 */
@Entity
@Table(name="responsible_project")
public class ResponsibleProject implements Serializable {
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "responsible_project_seq_gen")
    @SequenceGenerator(name = "responsible_project_seq_gen", sequenceName = "responsible_project_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 负责人的id
     */
    private Integer principalId;

    /**
     * 项目编号
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String responsibleProjectNumber;

    /**
     * 项目申请的时间
     */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String applicationTime;

    /**
     * 项目开始的时间
     */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String startTime;

    /**
     * 审核状态
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String auditType;

    public ResponsibleProject() {
    }

    public ResponsibleProject(Integer id, Integer principalId, String responsibleProjectNumber, String applicationTime, String startTime, String auditType) {
        this.id = id;
        this.principalId = principalId;
        this.responsibleProjectNumber = responsibleProjectNumber;
        this.applicationTime = applicationTime;
        this.startTime = startTime;
        this.auditType = auditType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(Integer principalId) {
        this.principalId = principalId;
    }

    public String getResponsibleProjectNumber() {
        return responsibleProjectNumber;
    }

    public void setResponsibleProjectNumber(String responsibleProjectNumber) {
        this.responsibleProjectNumber = responsibleProjectNumber;
    }

    public String getApplicationTime() {
        return applicationTime;
    }

    public void setApplicationTime(String applicationTime) {
        this.applicationTime = applicationTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getAuditType() {
        return auditType;
    }

    public void setAuditType(String auditType) {
        this.auditType = auditType;
    }

    @Override
    public String toString() {
        return "ResponsibleProject{" +
                "id=" + id +
                ", principalId=" + principalId +
                ", responsibleProjectNumber='" + responsibleProjectNumber + '\'' +
                ", applicationTime='" + applicationTime + '\'' +
                ", startTime='" + startTime + '\'' +
                ", auditType='" + auditType + '\'' +
                '}';
    }
}
