package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author XinYi Song
 * 工时记录
 */
@Entity
@Table(name="work_hour_record")
public class WorkHourRecord implements Serializable {
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "work_hour_record_seq_gen")
    @SequenceGenerator(name = "work_hour_record_seq_gen", sequenceName = "work_hour_record_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 工作内容
     */
    @Column(length = 500,columnDefinition = "varchar(500)")
    private String workContent;

    /**
     * 工作时长
     */
    private Integer workHour;

    /**
     * 颜色
     */
    @Column(length = 85,columnDefinition = "varchar(85)")
    private String color;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 项目编号
     */
    @Column(length = 32,columnDefinition = "varchar(32)")
    private String projectNumber;

    /**
     * 提交的时间
     */
    @Column(length = 65,columnDefinition = "varchar(65)")
    private String submitTime;

    public WorkHourRecord() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWorkContent() {
        return workContent;
    }

    public void setWorkContent(String workContent) {
        this.workContent = workContent;
    }

    public Integer getWorkHour() {
        return workHour;
    }

    public void setWorkHour(Integer workHour) {
        this.workHour = workHour;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    @Override
    public String toString() {
        return "WorkHourRecord{" +
                "id=" + id +
                ", workContent='" + workContent + '\'' +
                ", workHour=" + workHour +
                ", color='" + color + '\'' +
                ", userId=" + userId +
                ", projectNumber='" + projectNumber + '\'' +
                ", submitTime='" + submitTime + '\'' +
                '}';
    }
}
