package com.xkrs.model.qo;

import java.io.Serializable;

/**
 * @author XinYi Song
 */
public class ProjectUpdateQo implements Serializable {

    private Integer id;

    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 甲方
     */
    private String party;

    /**
     * 项目类型（遥感  视觉）
     */
    private String projectType;

    /**
     * 项目阶段（A-前期交流；B-实施中；C-已完结；D-未赢取）
     */
    private String projectStage;

    /**
     * 市场
     */
    private String projectMarket;

    /**
     * 售前
     */
    private String projectSale;

    /**
     * 项目经理
     */
    private String projectManager;

    /**
     * 项目填报状态
     */
    private String projectStatus;

    /**
     * 授权状态
     */
    private String authorizationType;

    public ProjectUpdateQo() {
    }

    public ProjectUpdateQo(Integer id, String projectNumber, String projectName, String party, String projectType, String projectStage, String projectMarket, String projectSale, String projectManager, String projectStatus, String authorizationType) {
        this.id = id;
        this.projectNumber = projectNumber;
        this.projectName = projectName;
        this.party = party;
        this.projectType = projectType;
        this.projectStage = projectStage;
        this.projectMarket = projectMarket;
        this.projectSale = projectSale;
        this.projectManager = projectManager;
        this.projectStatus = projectStatus;
        this.authorizationType = authorizationType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getParty() {
        return party;
    }

    public void setParty(String party) {
        this.party = party;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getProjectStage() {
        return projectStage;
    }

    public void setProjectStage(String projectStage) {
        this.projectStage = projectStage;
    }

    public String getProjectMarket() {
        return projectMarket;
    }

    public void setProjectMarket(String projectMarket) {
        this.projectMarket = projectMarket;
    }

    public String getProjectSale() {
        return projectSale;
    }

    public void setProjectSale(String projectSale) {
        this.projectSale = projectSale;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public String getAuthorizationType() {
        return authorizationType;
    }

    public void setAuthorizationType(String authorizationType) {
        this.authorizationType = authorizationType;
    }

    @Override
    public String toString() {
        return "ProjectUpdateQo{" +
                "id=" + id +
                ", projectNumber='" + projectNumber + '\'' +
                ", projectName='" + projectName + '\'' +
                ", party='" + party + '\'' +
                ", projectType='" + projectType + '\'' +
                ", projectStage='" + projectStage + '\'' +
                ", projectMarket='" + projectMarket + '\'' +
                ", projectSale='" + projectSale + '\'' +
                ", projectManager='" + projectManager + '\'' +
                ", projectStatus='" + projectStatus + '\'' +
                ", authorizationType='" + authorizationType + '\'' +
                '}';
    }
}
