package com.xkrs.service;

import com.xkrs.model.entity.WorkHourRecord;
import com.xkrs.model.qo.WorkRecordQo;
import com.xkrs.model.vo.MemberWorkRecordVo;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @author XinYi Song
 */
public interface WorkHourRecordService {

    /**
     * 提交工时记录
     * @param workRecordQo
     * @param token
     * @return
     */
    String submitWorkContent(WorkRecordQo workRecordQo,String token);

    /**
     * 查询我参与的
     * @param userId
     * @return
     */
    List<MemberWorkRecordVo> selectMemberWorkRecord(Integer userId);

    /**
     * 查询
     * @param userId
     * @return
     */
    //List<MemberWorkRecordVo> selectMemberAndParWorkRecord(Integer userId);

    /**
     * 查询我管理的项目
     * @param userId
     * @return
     */
    List<Map> selectManagementProject(Integer userId);

    /**
     * 查询我参与的当前项目的提交的工时记录
     * @param projectNumber
     * @param userId
     * @param startTime
     * @param endTime
     * @return
     */
    List<WorkHourRecord> findRecord(String projectNumber,Integer userId,String startTime, String endTime);

    /**
     * 修改工时记录
     * @param workContent
     * @param id
     */
    void updateRecord(String workContent,Integer id);

    /**
     * 删除记录
     * @param id
     */
    void deleteById(Integer id);

    void selectWork(String projectNumber, HttpServletResponse response) throws IOException;
}
